#!/bin/sh
#
# Pulls sources for eclipse-mylyn-tasks SRPM
#  - org.eclipse.mylyn.trac-feature
#  - org.eclipse.mylyn.bugzilla-feature
#  - org.eclipse.mylyn.web.tasks-feature (incubation)
# 
RELEASE_TAG="R_3_5_1"

# FIXME: Remove this tag variable and use the same as RELEASE_TAG once it has
# been tagged upstream. However, since there have been no changes from 3.5.0
# this should be ok for now. See Eclipse BZ #343426.
WEBTASK_RELEASE_TAG="R_3_5_0"

rm -fr org.eclipse.mylyn.tasks
for f in \
org.eclipse.mylyn.bugzilla-feature \
org.eclipse.mylyn.bugzilla.core \
org.eclipse.mylyn.bugzilla.ui \
org.eclipse.mylyn.trac.core \
org.eclipse.mylyn.trac-feature \
org.eclipse.mylyn.trac.ui; do
cvs -d :pserver:anonymous@dev.eclipse.org:/cvsroot/mylyn \
export -r ${RELEASE_TAG} org.eclipse.mylyn.tasks/$f;
done

rm -fr org.eclipse.mylyn.incubator
for f in \
org.eclipse.mylyn.web.tasks-feature \
org.eclipse.mylyn.web.tasks; do
cvs -d :pserver:anonymous@dev.eclipse.org:/cvsroot/mylyn \
export -r ${WEBTASK_RELEASE_TAG} org.eclipse.mylyn.incubator/$f;
done

rm -f eclipse-mylyn-tasks-${RELEASE_TAG}-fetched-src.tar.bz2
tar cjf eclipse-mylyn-tasks-${RELEASE_TAG}-fetched-src.tar.bz2 \
	org.eclipse.mylyn.tasks \
	org.eclipse.mylyn.incubator
        
